<template>
  <template-page
    ref="pageRef"
    :getList="getList"
    :exportList="exportList"
    :operation="operation()"
    :optionsEvensGroup="optionsEvensGroup"
    :columnParsing="columnParsing"
  >

  </template-page>
</template>

<script>
import TemplatePage from '@/components/template/template-page-1.vue'
import import_mixin from '@/components/template/import_mixin.js'
import add_callback_mixin from '@/components/template/add_callback_mixin.js'
import Popu from '@/components/template/popu.vue'
import { getListOtherStockOutV2, setApprovalPurchaseOrderIn, exportListOtherStockOutV2 } from '@/api/supply/purchase'
import { getWarehouseList } from '@/api/supply/apply'
export default {
  components: { TemplatePage, Popu },
  mixins: [import_mixin, add_callback_mixin],
  data() {
    return {
      visible: false,
      // 事件组合
      optionsEvensGroup: [
        //  [
        //     [
        //       {
        //         name: '导入',
        //         render: this.importButton(importCustomerV2)
        //       }
        //     ]
        //   ],
      ],
      // 表格属性
      tableAttributes: {
        // 启用勾选列
        selectColumn: true
      }, // 关闭新增弹窗

      // 表格事件
      tableEvents: {
        'selection-change': this.selectionChange
      },
      recordSelected: [],

      detailsId: ''
    }
  },
  methods: {
    // 列表请求函数
    getList(...p) {
      this.recordSelected = []
      return getListOtherStockOutV2(...p)
    },
    // 列表导出函数
    exportList: exportListOtherStockOutV2,
    // 表格列解析渲染数据更改
    columnParsing(item, defaultData) {
      return defaultData
    },
    // 监听勾选变化
    selectionChange(data) {
      this.recordSelected = data
    },
    operation() {
      return (h, { row, index, column }) => {
        return (
          <div class="operation-btns">
            <el-popconfirm title="弃审吗？" onOnConfirm={() => this.handleUnapprove(row.id, row.billNo)}>
              <el-button slot="reference" type="text" size="mini">
                弃审
              </el-button>
            </el-popconfirm>
          </div>
        )
      }
    },
    handleClose() {
      this.addOff(() => {
        this.visible = false
      })()
    },
    handleUnapprove(id, billNo) {
      setApprovalPurchaseOrderIn({ id, billNo }).then(res => {
        this.$successMsg('弃审成功')
        this.$refs.pageRef.refreshList()
      })
    }
  }
}
</script>

<style lang="scss" scoped></style>
